from django.urls import path
from django.conf import settings
from django.conf.urls.static import static

from . import viewsets
from . import views

urlpatterns = [
    path("me", viewsets.MyProfileViewSet.as_view({'patch': 'partial_update', 'get': 'retrieve'}), name="my_profile_page"),
    path("", viewsets.ProfileViewSet.as_view({'get': 'list'}), name="profiles_list"),
	path("block", views.BlocksView.as_view(), name="block_page"),
	path("block/<int:pk>", views.BlockView.as_view(), name="block_page"),
    path("<str:username>", viewsets.ProfileViewSet.as_view({'get': 'retrieve'}), name="profile_page"),

] + static("/static/avatars/", document_root="./avatars")
